#ifndef _LOGGER_HPP_
#define _LOGGER_HPP_

#include <iostream>
#include <unistd.h>
#include <pthread.h>

class Logger
{
	public:
		Logger();
	
		pthread_t get_thread_handle();

	private:
		pthread_t thread_handle;

		void _run();
		static void _static_run(void* arg);
};

#endif // LOGGER_HPP__
